Page MenuHomeFreeBSD

Fix 2 possible crashes in dnsmasq
ClosedPublic

Authored by garga on Jan 7 2016, 10:42 AM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 26 2017, 3:36 PM
Unknown Object (File)
Apr 5 2017, 1:00 PM
Unknown Object (File)
Apr 4 2017, 4:47 PM
Unknown Object (File)
Feb 27 2017, 9:04 PM
Unknown Object (File)
Feb 27 2017, 4:33 AM
Unknown Object (File)
Feb 25 2017, 6:58 PM
Unknown Object (File)
Feb 18 2017, 5:04 AM
Unknown Object (File)
Feb 15 2017, 8:30 PM
Subscribers
None

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 1983
Build 1991: arc lint + arc unit

Event Timeline

garga retitled this revision from to Fix 2 possible crashes in dnsmasq.
garga updated this object.
garga edited the test plan for this revision. (Show Details)
garga added a reviewer: mandree.
mandree edited edge metadata.

Note sure if we need the src/option.c, apparently it's to deal with syntax errors in the configuration, but no objection on my part. Please commit to SVN.

This revision is now accepted and ready to land.Jan 7 2016, 11:03 PM
mandree requested changes to this revision.Jan 7 2016, 11:06 PM
mandree edited edge metadata.

Oh, please do not bump PORTEPOCH, but set PORTREVISION.

This revision now requires changes to proceed.Jan 7 2016, 11:06 PM
mandree edited edge metadata.
This revision is now accepted and ready to land.Jan 7 2016, 11:44 PM
This revision was automatically updated to reflect the committed changes.

As discussed on IRC; I've commited this as r405491.